SQ(1)

NAME
sq network wkd - Retrieve and publishes certificates via Web Key Directories

SYNOPSIS
sq network wkd search [OPTIONS] ADDRESS
sq network wkd publish [OPTIONS] DEST

DESCRIPTION
Retrieve and publishes certificates via Web Key Directories.

The Web Key Directory (WKD) is a method for publishing and retrieving certificates from web servers.

SUBCOMMANDS

  sq network wkd search
Retrieve certificates from a Web Key Directory.

By default, any returned certificates are stored in the local certificate store. This can be overridden by using `--output` option.

When a certificate is retrieved from a WKD, and imported into the local certificate store, any User IDs with the email address that was looked up are certificated with a local WKD-specific key. That proxy certificate is in turn certified as a minimally trusted CA (trust amount: 1 of 120) by the local trust root. How much the WKD proxy CA is trusted can be tuned using `sq pki link add` or `sq pki link retract` in the usual way.

  sq network wkd publish
Publish certificates in a Web Key Directory.

Publishes certificates or certificate updates in a Web Key Directory (WKD). You can create or update a WKD hierarchy on the local system by specifying a path as destination.

Typically, a WKD is stored on a web server. If `--rsync` is given, this command manages remote WKD directory hierarchies by using rsync(1).

To insert a new certificate into the WKD, use `--cert`.

Any updates for certificates already existing in the WKD are automatically published.

Note: To update a WKD hierarchy, it is first copied to a temporary location on the local machine, new certificates or certificate updates are inserted into the local copy, and the hierarchy is copied back to its original location. As this is not an atomic operation, care must be taken to avoid concurrent updates.

EXAMPLES

  sq network wkd search

Retrieve Alice's certificate over WKD.

    sq network wkd search alice@example.org

Retrieve updates for all known certificates over WKD.

    sq network wkd search --all

  sq network wkd publish

Create a new WKD hierarchy in the local directory `public_html`, and insert Alice's cert.

    sq network wkd publish --create \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --domain=example.org public_html

Add Bob's cert to the existing WKD hierarchy in the local directory `public_html`.

    sq network wkd publish \
        --cert=511257EBBF077B7AEDAE5D093F68CB84CE537C9A \
        --domain=example.org public_html

Add all certs with an authenticated user ID in example.org to the existing WKD hierarchy.

    sq network wkd publish --domain=example.org --all public_html

Refresh all certs in the existing WKD hierarchy in the local directory `public_html` from the cert store.

    sq network wkd publish --domain=example.org public_html

SEE ALSO
sq(1), sq-network(1), sq-network-wkd-search(1), sq-network-wkd-publish(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.40.0 (sequoia-openpgp 1.21.2)